LibreOffice: XPersistentLibraryContainer Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Member Functions | Public Attributes | List of all members
XPersistentLibraryContainer Interface Reference

describes a container of script libraries which is persistent. More...

`import <XPersistentLibraryContainer.idl;`

Inheritance diagram for XPersistentLibraryContainer:

## Exported Interfaces
interface | ::com::sun::star::util::XModifiable
interface | XLibraryContainer2

## Public Member Functions
void | storeLibraries () raises ( ::com::sun::star::lang::WrappedTargetException )
| stores the libraries to the current location.
Public Member Functions inherited from XModifiable
boolean | isModified ()
void | setModified ([in] boolean bModified) raises ( com::sun::star::beans::PropertyVetoException )
| sets the status of the modified-flag from outside of the object.
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XLibraryContainer2
boolean | isLibraryLink ([in] string Name) raises ( com::sun::star::container::NoSuchElementException )
| returns true if the accessed library item is a link, e.g., created by createLibraryLink, otherwise false.
string | getLibraryLinkURL ([in] string Name) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException )
| returns the location of the library link target.
boolean | isLibraryReadOnly ([in] string Name) raises ( com::sun::star::container::NoSuchElementException )
| returns true if the accessed library item (library or library link) is read only.
void | setLibraryReadOnly ([in] string Name, [in] boolean bReadOnly) raises ( com::sun::star::container::NoSuchElementException )
| Sets the accessed library item (library or library link) to read only according to the flag bReadOnly (true means read only)
void | renameLibrary ([in] string Name, [in] string NewName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::container::ElementExistException )
| renames the library item with the specified name.
Public Member Functions inherited from XLibraryContainer
com::sun::star::container::XNameContainer | createLibrary ([in] string Name) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| Creates a new library.
com::sun::star::container::XNameAccess | createLibraryLink ([in] string Name, [in] string StorageURL, [in] boolean ReadOnly) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| Creates a link to an "external" library that then can be accessed using this library manager.
void | removeLibrary ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the library item with the specified name.
boolean | isLibraryLoaded ([in] string Name) raises ( com::sun::star::container::NoSuchElementException )
| returns true if the accessed library is already loaded from the storage, otherwise false.
void | loadLibrary ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| Causes the accessed library to be loaded from its storage if it hasn't already been loaded.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()

## Public Attributes
any | RootLocation
| denotes the root location associated with the container.
string | ContainerLocationName
| denotes the name of the sub location where the container elements are actually stored.

## Detailed Description

describes a container of script libraries which is persistent.

The type of persistence of the container elements is not defined here, but in derived interfaces or services using `XPersistentLibraryContainer`.

The actual libraries are stored in some object - a sub folder, or a sub storage, for example - below the root location.

Since
  OOo 2.3

## Exported Interfaces

## ◆ ::com::sun::star::util::XModifiable

interface ::com::sun::star::util::XModifiable

## ◆ XLibraryContainer2

interface XLibraryContainer2

## Member Function Documentation

## ◆ storeLibraries()

void storeLibraries | ( |  | ) |
raises | ( | ::com::sun::star::lang::WrappedTargetException ) |  |  |

stores the libraries to the current location.

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs during storing.

See also
  RootLocation
  ContainerLocationName

## Member Data Documentation

## ◆ ContainerLocationName

string ContainerLocationName
| attributereadonly

denotes the name of the sub location where the container elements are actually stored.

See also
  RootLocation

## ◆ RootLocation

any RootLocation
| attributereadonly

denotes the root location associated with the container.

The type of this location - it might be a folder in a file system, a storage, or anything else - is not specified here, but in derived interfaces or services implementing `XPersistentLibraryContainer`.

All operations of the library container take place in a location below the root location, the so-called container location, whose name is exposed as ContainerLocationName.

See also
  ContainerLocationName

The documentation for this interface was generated from the following file:

- com/sun/star/script/XPersistentLibraryContainer.idl